> ## Documentation Index
> Fetch the complete documentation index at: https://developer.remote.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Contract Amendment

Creates a Contract Amendment request.

This endpoint requires and returns country-specific data. The exact required and returned fields will
vary depending on which country the employment is in. To see the list of parameters for each country,
see the **Show form schema** endpoint under the [Contract Amendments](#tag/Contract-Amendments) category.

Please note that the compliance requirements for each country are subject to change according to local
laws. Given its continual updates, using Remote's [json-schema-form](https://developer.remote.com/docs/how-json-schemas-work) should be considered in order to avoid
compliance issues and to have the latest version of a country requirements.

If you are using this endpoint to build an integration, make sure you are dynamically collecting or
displaying the latest parameters for each country by querying the _"Show form schema"_ endpoint.

For more information on JSON Schemas, see the **How JSON Schemas work** documentation.

To learn how you can dynamically generate forms to display in your UI, see the documentation for
the [json-schema-form](https://developer.remote.com/docs/how-json-schemas-work) tool.



## Scopes

| Category | Read only Scope | Write only Scope (read access implicit) |
|---|---|---|
| Manage employments (`employments`) | - | Manage contract amendments (`contract_amendment:write`) |


# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "ActionError": {
        "properties": {
          "action": {
            "description": "The action that lead to the error message.",
            "type": "string"
          },
          "code": {
            "description": "An error code that describes the nature of the error.",
            "type": "string"
          },
          "message": {
            "description": "A developer friendly error message that gives details on what the error was and how it may be remedied.",
            "type": "string"
          }
        },
        "required": [
          "code",
          "message",
          "action"
        ],
        "title": "ActionError",
        "type": "object"
      },
      "NotFoundResponse": {
        "description": "Returned when the requested resource does not exist or is not accessible with the current authentication credentials.",
        "example": {
          "message": "{resource} not found"
        },
        "properties": {
          "message": {
            "description": "A message indicating which resource was not found.",
            "pattern": "Not Found",
            "type": "string"
          }
        },
        "title": "NotFoundResponse",
        "type": "object"
      },
      "UnprocessableEntityResponse": {
        "anyOf": [
          {
            "properties": {
              "errors": {
                "type": "object"
              }
            },
            "required": [
              "errors"
            ],
            "type": "object"
          },
          {
            "properties": {
              "message": {
                "oneOf": [
                  {
                    "type": "string"
                  },
                  {
                    "$ref": "#/components/schemas/ParameterError"
                  },
                  {
                    "items": {
                      "$ref": "#/components/schemas/ParameterError"
                    },
                    "title": "ParameterErrors",
                    "type": "array"
                  },
                  {
                    "$ref": "#/components/schemas/ActionError"
                  },
                  {
                    "items": {
                      "$ref": "#/components/schemas/ActionError"
                    },
                    "title": "ActionErrors",
                    "type": "array"
                  }
                ]
              }
            },
            "required": [
              "message"
            ],
            "type": "object"
          }
        ],
        "example": {
          "errors": {
            "some_field": [
              "is invalid"
            ]
          }
        },
        "title": "UnprocessableEntityResponse",
        "type": "object"
      },
      "RequestDetails": {
        "description": "The details of the requested changes for the contract amendment.",
        "example": {
          "additional_comments": null,
          "effective_date": "2024-03-04",
          "reason_for_change": "annual_pay_adjustment",
          "reason_for_change_description": null,
          "salary_decrease_details": null
        },
        "properties": {
          "additional_comments": {
            "nullable": true,
            "type": "string"
          },
          "effective_date": {
            "format": "date",
            "type": "string"
          },
          "reason_for_change": {
            "enum": [
              "annual_pay_adjustment",
              "country_rule_change",
              "error_correction",
              "job_change_reevaluation",
              "promotion",
              "other"
            ],
            "nullable": true,
            "type": "string"
          },
          "reason_for_change_description": {
            "description": "This is filled when the reason_for_change is 'other'.",
            "nullable": true,
            "type": "string"
          },
          "salary_decrease_details": {
            "$ref": "#/components/schemas/SalaryDecreaseDetails"
          }
        },
        "title": "RequestDetails",
        "type": "object"
      },
      "ContractAmendment": {
        "description": "A full contract amendment record, including the requested changes with their previous and current values.",
        "example": {
          "amendment_contract_id": "8772a9f1-b43c-46be-a1ce-e50b6819f5ee",
          "changes": {
            "compensation.amount": {
              "current": 500000,
              "previous": 400000
            },
            "contract.job_title": {
              "current": "A new job title",
              "previous": "An old job title"
            },
            "contract_details.details.contract_duration_type": {
              "current": "fixed_term",
              "previous": "indefinite"
            }
          },
          "employment_id": "1e74fdc2-7420-4eef-ab0a-b794cbbef4e1",
          "id": "ba310525-9282-40c9-8977-14d844bf891a",
          "request_details": {
            "additional_comments": null,
            "effective_date": "2024-03-04",
            "reason_for_change": "annual_pay_adjustment",
            "reason_for_change_description": null,
            "salary_decrease_details": null
          },
          "requested_by": "5a31f3c1-d7a7-4311-89cb-928959d3d540",
          "status": "submitted",
          "submitted_at": "2023-04-13T13:35:06Z",
          "zendesk_ticket_url": "https://zendesk.com/ticket-23333"
        },
        "properties": {
          "amendment_contract_id": {
            "description": "The unique identifier of the contract being amended. Null if no specific contract was targeted.",
            "nullable": true,
            "type": "string"
          },
          "changes": {
            "description": "Describes all the changes requested for the contract and contract details with all their previous and current values.",
            "type": "object"
          },
          "employment_id": {
            "description": "The unique identifier (UUID) of the employment.",
            "type": "string"
          },
          "id": {
            "description": "The unique identifier (UUID) of the contract amendment.",
            "type": "string"
          },
          "request_details": {
            "$ref": "#/components/schemas/RequestDetails"
          },
          "requested_by": {
            "description": "The unique identifier (UUID) of the user who submitted the amendment.",
            "type": "string"
          },
          "status": {
            "$ref": "#/components/schemas/ContractAmendmentStatus"
          },
          "submitted_at": {
            "description": "The timestamp when the amendment was submitted.",
            "format": "datetime",
            "type": "string"
          },
          "zendesk_ticket_url": {
            "description": "A link to the support ticket associated with this amendment, if one was created. Null otherwise.",
            "nullable": true,
            "type": "string"
          }
        },
        "required": [
          "id",
          "amendment_contract_id",
          "employment_id",
          "status",
          "requested_by",
          "submitted_at",
          "request_details",
          "changes",
          "zendesk_ticket_url"
        ],
        "title": "ContractAmendment",
        "type": "object"
      },
      "UnauthorizedResponse": {
        "description": "Returned when the request does not include valid authentication credentials. Ensure you are passing a valid OAuth2 access token or API token in the Authorization header.",
        "example": {
          "message": "Unauthorized"
        },
        "properties": {
          "message": {
            "pattern": "Unauthorized",
            "type": "string"
          }
        },
        "required": [
          "message"
        ],
        "title": "UnauthorizedResponse",
        "type": "object"
      },
      "ContractAmendmentStatus": {
        "description": "The current status of a contract amendment request.\n\n- `submitted`: The amendment has been submitted and is awaiting Remote's review.\n- `in_review`: Remote is reviewing the amendment for compliance and feasibility.\n- `done`: The amendment has been approved and applied to the contract.\n- `canceled`: The amendment request was canceled before completion.\n- `deleted`: The amendment request was deleted.\n",
        "enum": [
          "submitted",
          "in_review",
          "done",
          "canceled",
          "deleted"
        ],
        "example": "submitted",
        "title": "ContractAmendmentStatus",
        "type": "string"
      },
      "ParameterError": {
        "example": {
          "code": "invalid_param",
          "message": "Invalid parameter",
          "param": "employment_id"
        },
        "properties": {
          "code": {
            "description": "An error code that describes the nature of the error.",
            "type": "string"
          },
          "message": {
            "description": "A developer friendly error message that gives details on what the error was and how it may be remedied.",
            "type": "string"
          },
          "param": {
            "description": "The parameter that lead to the error message.",
            "type": "string"
          }
        },
        "required": [
          "code",
          "message",
          "param"
        ],
        "title": "ParameterError",
        "type": "object"
      },
      "CreateContractAmendmentParams": {
        "additionalProperties": false,
        "example": {
          "amendment_contract_id": "c15993d8-aa8a-4fbb-b395-8b7a54f57db1",
          "contract_amendment": {},
          "employment_id": "e31adae1-company-id-af5fba7dd803"
        },
        "properties": {
          "amendment_contract_id": {
            "description": "The contract ID of the contract that needs to be amended.",
            "type": "string"
          },
          "contract_amendment": {
            "description": "Contract amendment informations. As its properties may vary depending on the country,\n                you must query the [Show form schema](#tag/Contract-Amendments/operation/post_show_form_contract_amendment_schema) endpoint\n            passing the country code, `contract_amendment` and the employment ID as request body.",
            "type": "object"
          },
          "employment_id": {
            "description": "The employment ID that is related to the contract amendment request.",
            "type": "string"
          }
        },
        "required": [
          "employment_id",
          "amendment_contract_id",
          "contract_amendment"
        ],
        "title": "CreateContractAmendmentParams",
        "type": "object"
      },
      "SalaryDecreaseDetails": {
        "description": "The details of the salary decrease request if there is one",
        "nullable": true,
        "properties": {
          "salary_decrease_reason": {
            "enum": [
              "change_in_working_hours",
              "trade_salary_for_equity",
              "error_in_initial_salary",
              "role_change_or_demotion",
              "compensation_restructure",
              "other"
            ],
            "type": "string"
          },
          "salary_decrease_reason_description": {
            "nullable": true,
            "type": "string"
          },
          "was_employee_informed": {
            "type": "string"
          }
        },
        "title": "SalaryDecreaseDetails",
        "type": "object"
      },
      "ContractAmendmentResponse": {
        "description": "Contract Amendment response",
        "example": {
          "data": {
            "contract_amendment": {
              "amendment_contract_id": "8772a9f1-b43c-46be-a1ce-e50b6819f5ee",
              "changes": {
                "compensation.amount": {
                  "current": 500000,
                  "previous": 400000
                },
                "contract.job_title": {
                  "current": "A new job title",
                  "previous": "An old job title"
                },
                "contract_details.details.contract_duration_type": {
                  "current": "fixed_term",
                  "previous": "indefinite"
                }
              },
              "employment_id": "1e74fdc2-7420-4eef-ab0a-b794cbbef4e1",
              "id": "ba310525-9282-40c9-8977-14d844bf891a",
              "request_details": {
                "additional_comments": null,
                "effective_date": "2024-03-04",
                "reason_for_change": "annual_pay_adjustment",
                "reason_for_change_description": null,
                "salary_decrease_details": null
              },
              "requested_by": "5a31f3c1-d7a7-4311-89cb-928959d3d540",
              "status": "submitted",
              "submitted_at": "2023-04-13T13:35:06Z",
              "zendesk_ticket_url": "https://zendesk.com/ticket-23333"
            }
          }
        },
        "properties": {
          "data": {
            "properties": {
              "contract_amendment": {
                "$ref": "#/components/schemas/ContractAmendment"
              }
            },
            "required": [
              "contract_amendment"
            ],
            "type": "object"
          }
        },
        "title": "ContractAmendmentResponse",
        "type": "object"
      }
    },
    "securitySchemes": {
      "CustomerAPIToken": {
        "description": "Authenticate using API Key generated by the customer in their Integration Settings page.\n",
        "scheme": "bearer",
        "type": "http"
      },
      "OAuth2": {
        "description": "Authenticate using OAuth 2.0 protocol.\n",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "/auth/oauth2/authorize",
            "scopes": {
              "company_department:read": "company_department:read",
              "webhook:write": "webhook:write",
              "magic_link:write": "magic_link:write",
              "offboarding:write": "offboarding:write",
              "custom_field:write": "custom_field:write",
              "address:write": "address:write",
              "expense:read": "expense:read",
              "employment:write": "employment:write",
              "identity_verification:write": "identity_verification:write",
              "timesheet:write": "timesheet:write",
              "travel_letter:write": "travel_letter:write",
              "incentive:read": "incentive:read",
              "personal_detail:read": "personal_detail:read",
              "invoices:write": "invoices:write",
              "work_authorization:write": "work_authorization:write",
              "timeoff:write": "timeoff:write",
              "company_structure:read": "company_structure:read",
              "benefit_renewal:write": "benefit_renewal:write",
              "benefit_offer:read": "benefit_offer:read",
              "employment_documents": "employment_documents",
              "onboarding:write": "onboarding:write",
              "payroll_run:read": "payroll_run:read",
              "risk_reserve:write": "risk_reserve:write",
              "invoices": "invoices",
              "resignation_letter:read": "resignation_letter:read",
              "resignation:read": "resignation:read",
              "convert_currency:read": "convert_currency:read",
              "employments": "employments",
              "probation_document:read": "probation_document:read",
              "company_admin": "company_admin",
              "payroll": "payroll",
              "help_center_article:read": "help_center_article:read",
              "timesheet:read": "timesheet:read",
              "custom_field_value:write": "custom_field_value:write",
              "company_currencies:read": "company_currencies:read",
              "payslip:read": "payslip:read",
              "pay_item:write": "pay_item:write",
              "resignation:write": "resignation:write",
              "custom_field:read": "custom_field:read",
              "payroll_calendar:read": "payroll_calendar:read",
              "contract_amendment:write": "contract_amendment:write",
              "offboarding:read": "offboarding:read",
              "timeoff:read": "timeoff:read",
              "probation_document:write": "probation_document:write",
              "country:read": "country:read",
              "webhook:read": "webhook:read",
              "company_department:write": "company_department:write",
              "company_manager:read": "company_manager:read",
              "pay_item:read": "pay_item:read",
              "contract_amendment:read": "contract_amendment:read",
              "company:read": "company:read",
              "sso_configuration:write": "sso_configuration:write",
              "benefit_offer:write": "benefit_offer:write",
              "contract_eligibility:write": "contract_eligibility:write",
              "benefit_renewal:read": "benefit_renewal:read",
              "background_check:read": "background_check:read",
              "custom_field_value:read": "custom_field_value:read",
              "expense:write": "expense:write",
              "identity_verification:read": "identity_verification:read",
              "address:read": "address:read",
              "document:write": "document:write",
              "time_and_attendance": "time_and_attendance",
              "employment_payments": "employment_payments",
              "form:read": "form:read",
              "work_authorization:read": "work_authorization:read",
              "invoices:read": "invoices:read",
              "incentive:write": "incentive:write",
              "employment:read": "employment:read",
              "contract:read": "contract:read",
              "company_manager:write": "company_manager:write",
              "travel_letter:read": "travel_letter:read",
              "document:read": "document:read",
              "sso_configuration:read": "sso_configuration:read"
            },
            "tokenUrl": "/auth/oauth2/token"
          },
          "clientCredentials": {
            "scopes": {
              "company:read": "company:read",
              "company:write": "company:write",
              "company_admin": "company_admin",
              "company_management": "company_management",
              "convert_currency:read": "convert_currency:read",
              "country:read": "country:read",
              "employment_documents": "employment_documents",
              "employment_payments": "employment_payments",
              "employments": "employments",
              "help_center_article:read": "help_center_article:read",
              "invoices": "invoices",
              "payroll": "payroll",
              "payroll_calendar:read": "payroll_calendar:read",
              "pricing_plan:read": "pricing_plan:read",
              "pricing_plan:write": "pricing_plan:write",
              "time_and_attendance": "time_and_attendance",
              "webhook:read": "webhook:read",
              "webhook:write": "webhook:write"
            },
            "tokenUrl": "/auth/oauth2/token"
          }
        },
        "type": "oauth2"
      },
      "OAuth2AuthorizationCode": {
        "description": "Authenticate as the token authorizer using `authorization_code` / `refresh_token` grants in the OAuth 2.0 protocol.\n",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "/auth/oauth2/authorize",
            "refreshUrl": "/auth/oauth2/token",
            "scopes": {
              "company_department:read": "company_department:read",
              "webhook:write": "webhook:write",
              "magic_link:write": "magic_link:write",
              "offboarding:write": "offboarding:write",
              "custom_field:write": "custom_field:write",
              "address:write": "address:write",
              "expense:read": "expense:read",
              "employment:write": "employment:write",
              "identity_verification:write": "identity_verification:write",
              "timesheet:write": "timesheet:write",
              "travel_letter:write": "travel_letter:write",
              "incentive:read": "incentive:read",
              "personal_detail:read": "personal_detail:read",
              "invoices:write": "invoices:write",
              "work_authorization:write": "work_authorization:write",
              "timeoff:write": "timeoff:write",
              "company_structure:read": "company_structure:read",
              "benefit_renewal:write": "benefit_renewal:write",
              "benefit_offer:read": "benefit_offer:read",
              "employment_documents": "employment_documents",
              "onboarding:write": "onboarding:write",
              "payroll_run:read": "payroll_run:read",
              "risk_reserve:write": "risk_reserve:write",
              "invoices": "invoices",
              "resignation_letter:read": "resignation_letter:read",
              "resignation:read": "resignation:read",
              "convert_currency:read": "convert_currency:read",
              "employments": "employments",
              "probation_document:read": "probation_document:read",
              "company_admin": "company_admin",
              "payroll": "payroll",
              "help_center_article:read": "help_center_article:read",
              "timesheet:read": "timesheet:read",
              "custom_field_value:write": "custom_field_value:write",
              "company_currencies:read": "company_currencies:read",
              "payslip:read": "payslip:read",
              "pay_item:write": "pay_item:write",
              "resignation:write": "resignation:write",
              "custom_field:read": "custom_field:read",
              "payroll_calendar:read": "payroll_calendar:read",
              "contract_amendment:write": "contract_amendment:write",
              "offboarding:read": "offboarding:read",
              "timeoff:read": "timeoff:read",
              "probation_document:write": "probation_document:write",
              "country:read": "country:read",
              "webhook:read": "webhook:read",
              "company_department:write": "company_department:write",
              "company_manager:read": "company_manager:read",
              "pay_item:read": "pay_item:read",
              "contract_amendment:read": "contract_amendment:read",
              "company:read": "company:read",
              "sso_configuration:write": "sso_configuration:write",
              "benefit_offer:write": "benefit_offer:write",
              "contract_eligibility:write": "contract_eligibility:write",
              "benefit_renewal:read": "benefit_renewal:read",
              "background_check:read": "background_check:read",
              "custom_field_value:read": "custom_field_value:read",
              "expense:write": "expense:write",
              "identity_verification:read": "identity_verification:read",
              "address:read": "address:read",
              "document:write": "document:write",
              "time_and_attendance": "time_and_attendance",
              "employment_payments": "employment_payments",
              "form:read": "form:read",
              "work_authorization:read": "work_authorization:read",
              "invoices:read": "invoices:read",
              "incentive:write": "incentive:write",
              "employment:read": "employment:read",
              "contract:read": "contract:read",
              "company_manager:write": "company_manager:write",
              "travel_letter:read": "travel_letter:read",
              "document:read": "document:read",
              "sso_configuration:read": "sso_configuration:read"
            },
            "tokenUrl": "/auth/oauth2/token"
          }
        },
        "type": "oauth2"
      }
    }
  },
  "info": {
    "title": "Contracts",
    "version": "1.0.0"
  },
  "openapi": "3.1.0",
  "paths": {
    "/v1/contract-amendments": {
      "post": {
        "callbacks": {},
        "deprecated": false,
        "description": "Creates a Contract Amendment request.\n\nThis endpoint requires and returns country-specific data. The exact required and returned fields will\nvary depending on which country the employment is in. To see the list of parameters for each country,\nsee the **Show form schema** endpoint under the [Contract Amendments](#tag/Contract-Amendments) category.\n\nPlease note that the compliance requirements for each country are subject to change according to local\nlaws. Given its continual updates, using Remote's [json-schema-form](https://developer.remote.com/docs/how-json-schemas-work) should be considered in order to avoid\ncompliance issues and to have the latest version of a country requirements.\n\nIf you are using this endpoint to build an integration, make sure you are dynamically collecting or\ndisplaying the latest parameters for each country by querying the _\"Show form schema\"_ endpoint.\n\nFor more information on JSON Schemas, see the **How JSON Schemas work** documentation.\n\nTo learn how you can dynamically generate forms to display in your UI, see the documentation for\nthe [json-schema-form](https://developer.remote.com/docs/how-json-schemas-work) tool.\n\n\n\n## Scopes\n\n| Category | Read only Scope | Write only Scope (read access implicit) |\n|---|---|---|\n| Manage employments (`employments`) | - | Manage contract amendments (`contract_amendment:write`) |\n",
        "operationId": "post_v1_contract-amendments",
        "parameters": [
          {
            "description": "Requires a Company-scoped access token obtained through the Authorization Code flow or the Refresh Token flow.\n\nThe refresh token needs to have been obtained through the Authorization Code flow.\n",
            "example": "Bearer <COMPANY-SCOPED ACCESS TOKEN>",
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Version of the form schema",
            "example": 1,
            "in": "query",
            "name": "json_schema_version",
            "required": false,
            "schema": {
              "default": "latest",
              "oneOf": [
                {
                  "description": "Specific version number",
                  "minimum": 1,
                  "type": "integer"
                },
                {
                  "description": "Use latest version",
                  "enum": [
                    "latest"
                  ],
                  "type": "string"
                }
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateContractAmendmentParams"
              }
            }
          },
          "description": "Contract Amendment",
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ContractAmendmentResponse"
                }
              }
            },
            "description": "Success"
          },
          "401": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UnauthorizedResponse"
                }
              }
            },
            "description": "Unauthorized"
          },
          "404": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotFoundResponse"
                }
              }
            },
            "description": "Not Found"
          },
          "422": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UnprocessableEntityResponse"
                }
              }
            },
            "description": "Unprocessable Entity"
          }
        },
        "security": [
          {
            "CustomerAPIToken": [
              "https://gateway.remote.com/company.manage",
              "contract_amendment:write",
              "employments",
              "all:write"
            ],
            "OAuth2AuthorizationCode": [
              "https://gateway.remote.com/company.manage",
              "contract_amendment:write",
              "employments",
              "all:write"
            ]
          }
        ],
        "summary": "Create Contract Amendment",
        "tags": [
          "Contract Amendments"
        ]
      }
    }
  },
  "security": [
    {
      "OAuth2": []
    }
  ],
  "servers": [
    {
      "url": "https://gateway.remote.com/",
      "variables": {}
    },
    {
      "url": "https://gateway.remote-sandbox.com/",
      "variables": {}
    }
  ],
  "webhooks": {
    "contract_amendment.canceled": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered whenever a contract amendment request status is updated to canceled.",
        "operationId": "contract_amendment.canceled",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "employment_id": "2614f814-b08e-4c8e-8c4d-ddbcc4692d99",
                  "employment_request_id": "129d02bc-dd6a-11ed-ac99-cb057df06a33",
                  "event_type": "contract_amendment.canceled"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "employment_request_id": {
                    "description": "The unique identifier of the employment request.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  }
                },
                "required": [
                  "event_type",
                  "employment_request_id",
                  "employment_id",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "contract_amendment.canceled",
        "tags": [
          "Contract Amendments"
        ]
      }
    },
    "contract_amendment.deleted": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered whenever a contract amendment request status is updated to deleted.",
        "operationId": "contract_amendment.deleted",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "employment_id": "2614f814-b08e-4c8e-8c4d-ddbcc4692d99",
                  "employment_request_id": "129d02bc-dd6a-11ed-ac99-cb057df06a33",
                  "event_type": "contract_amendment.deleted"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "employment_request_id": {
                    "description": "The unique identifier of the employment request.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  }
                },
                "required": [
                  "event_type",
                  "employment_request_id",
                  "employment_id",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "contract_amendment.deleted",
        "tags": [
          "Contract Amendments"
        ]
      }
    },
    "contract_amendment.done": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered whenever a contract amendment status is updated to done.",
        "operationId": "contract_amendment.done",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "employment_id": "2614f814-b08e-4c8e-8c4d-ddbcc4692d99",
                  "employment_request_id": "129d02bc-dd6a-11ed-ac99-cb057df06a33",
                  "event_type": "contract_amendment.done"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "employment_request_id": {
                    "description": "The unique identifier of the employment request.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  }
                },
                "required": [
                  "event_type",
                  "employment_request_id",
                  "employment_id",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "contract_amendment.done",
        "tags": [
          "Contract Amendments"
        ]
      }
    },
    "contract_amendment.review_started": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered whenever a contract amendment request status is updated to 'in review'.",
        "operationId": "contract_amendment.review_started",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "employment_id": "2614f814-b08e-4c8e-8c4d-ddbcc4692d99",
                  "employment_request_id": "129d02bc-dd6a-11ed-ac99-cb057df06a33",
                  "event_type": "contract_amendment.review_started"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "employment_request_id": {
                    "description": "The unique identifier of the employment request.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  }
                },
                "required": [
                  "event_type",
                  "employment_request_id",
                  "employment_id",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "contract_amendment.review_started",
        "tags": [
          "Contract Amendments"
        ]
      }
    },
    "contract_amendment.submitted": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered whenever a contract amendment request status is updated to submitted.",
        "operationId": "contract_amendment.submitted",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "employment_id": "2614f814-b08e-4c8e-8c4d-ddbcc4692d99",
                  "employment_request_id": "129d02bc-dd6a-11ed-ac99-cb057df06a33",
                  "event_type": "contract_amendment.submitted"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "employment_request_id": {
                    "description": "The unique identifier of the employment request.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  }
                },
                "required": [
                  "event_type",
                  "employment_request_id",
                  "employment_id",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "contract_amendment.submitted",
        "tags": [
          "Contract Amendments"
        ]
      }
    },
    "contract_document.status.changed": {
      "post": {
        "deprecated": false,
        "description": "This webhook is triggered whenever a contract document's status changes, including initial creation.\n",
        "operationId": "contract_document.status.changed",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "contract_document_id": "97e04d61-0a6d-4c4f-9299-c08d1eeaba20",
                  "employment_id": "e966a8b8-1076-11ee-a5f2-9b3997a968f6",
                  "event_type": "contract_document.status.changed"
                },
                "properties": {
                  "company_id": {
                    "description": "The id of the company that owns the employment",
                    "example": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                    "type": "string"
                  },
                  "contract_document_id": {
                    "description": "The id of the contract document",
                    "example": "97e04d61-0a6d-4c4f-9299-c08d1eeaba20",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The id of the employment associated with the contract document. Null when the contract document is not associated with an employment.",
                    "example": "e966a8b8-1076-11ee-a5f2-9b3997a968f6",
                    "nullable": true,
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  }
                },
                "required": [
                  "event_type",
                  "contract_document_id",
                  "employment_id",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "contract_document.status.changed",
        "tags": [
          "Contract documents"
        ]
      }
    },
    "employment.probation.period_ending_reminder_sent": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered when an employee probation period is nearing it's end, it is triggered 30 days and 7 days before the probation period ends.",
        "operationId": "employment.probation.period_ending_reminder_sent",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "employment_id": "2614f814-b08e-4c8e-8c4d-ddbcc4692d99",
                  "event_type": "employment.probation.period_ending_reminder_sent",
                  "probation_period_end_date": "2030-02-01"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  },
                  "probation_period_end_date": {
                    "description": "The new probation period end date.",
                    "type": "string"
                  }
                },
                "required": [
                  "probation_period_end_date",
                  "employment_id",
                  "event_type",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "employment.probation.period_ending_reminder_sent",
        "tags": [
          "Probation"
        ]
      }
    },
    "employment.probation_completion_letter.cancelled": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered when the probation completion letter request is cancelled.",
        "operationId": "employment.probation_completion_letter.cancelled",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "employment_id": "2614f814-b08e-4c8e-8c4d-ddbcc4692d99",
                  "event_type": "employment.probation_completion_letter.cancelled",
                  "probation_completion_letter_request_id": "0073fcb5-b669-4e4a-b963-2a47744e75a1"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  },
                  "probation_completion_letter_request_id": {
                    "description": "The unique identifier of the probation completion letter request.",
                    "type": "string"
                  }
                },
                "required": [
                  "probation_completion_letter_request_id",
                  "employment_id",
                  "event_type",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "employment.probation_completion_letter.cancelled",
        "tags": [
          "Probation Letters"
        ]
      }
    },
    "employment.probation_completion_letter.completed": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered when an employment probation completion letter request is completed",
        "operationId": "employment.probation_completion_letter.completed",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "employment_id": "2614f814-b08e-4c8e-8c4d-ddbcc4692d99",
                  "event_type": "employment.probation_completion_letter.completed",
                  "probation_completion_letter_request_id": "0073fcb5-b669-4e4a-b963-2a47744e75a1"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  },
                  "probation_completion_letter_request_id": {
                    "description": "The unique identifier of the probation completion letter request.",
                    "type": "string"
                  }
                },
                "required": [
                  "probation_completion_letter_request_id",
                  "employment_id",
                  "event_type",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "employment.probation_completion_letter.completed",
        "tags": [
          "Probation Letters"
        ]
      }
    },
    "employment.probation_completion_letter.submitted": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered when an employment probation completion letter request is submitted",
        "operationId": "employment.probation_completion_letter.submitted",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "employment_id": "2614f814-b08e-4c8e-8c4d-ddbcc4692d99",
                  "event_type": "employment.probation_completion_letter.submitted",
                  "probation_completion_letter_id": "0073fcb5-b669-4e4a-b963-2a47744e75a1"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  },
                  "probation_completion_letter_id": {
                    "description": "The unique identifier of the probation completion letter.",
                    "type": "string"
                  }
                },
                "required": [
                  "probation_completion_letter_id",
                  "employment_id",
                  "event_type",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "employment.probation_completion_letter.submitted",
        "tags": [
          "Probation Letters"
        ]
      }
    },
    "employment.probation_period_extension.cancelled": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered when the probation period extension request is cancelled.",
        "operationId": "employment.probation_period_extension.cancelled",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "employment_id": "2614f814-b08e-4c8e-8c4d-ddbcc4692d99",
                  "event_type": "employment.probation_period_extension.cancelled",
                  "probation_extension_request_id": "0073fcb5-b669-4e4a-b963-2a47744e75a1"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  },
                  "probation_extension_request_id": {
                    "description": "The unique identifier of the probation extension request.",
                    "type": "string"
                  }
                },
                "required": [
                  "probation_extension_request_id",
                  "employment_id",
                  "event_type",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "employment.probation_period_extension.cancelled",
        "tags": [
          "Probation Extensions"
        ]
      }
    },
    "employment.probation_period_extension.completed": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered when an employment probation period extension request is completed",
        "operationId": "employment.probation_period_extension.completed",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "employment_id": "2614f814-b08e-4c8e-8c4d-ddbcc4692d99",
                  "event_type": "employment.probation_period_extension.completed",
                  "probation_extension_request_id": "0073fcb5-b669-4e4a-b963-2a47744e75a1"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  },
                  "probation_extension_request_id": {
                    "description": "The unique identifier of the probation extension request.",
                    "type": "string"
                  }
                },
                "required": [
                  "probation_extension_request_id",
                  "employment_id",
                  "event_type",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "employment.probation_period_extension.completed",
        "tags": [
          "Probation Extensions"
        ]
      }
    },
    "employment.probation_period_extension.submitted": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered when an employment probation period extension request is submitted",
        "operationId": "employment.probation_period_extension.submitted",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "employment_id": "2614f814-b08e-4c8e-8c4d-ddbcc4692d99",
                  "event_type": "employment.probation_period_extension.submitted",
                  "probation_extension_request_id": "0073fcb5-b669-4e4a-b963-2a47744e75a1"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  },
                  "probation_extension_request_id": {
                    "description": "The unique identifier of the probation extension request.",
                    "type": "string"
                  }
                },
                "required": [
                  "probation_extension_request_id",
                  "employment_id",
                  "event_type",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "employment.probation_period_extension.submitted",
        "tags": [
          "Probation Extensions"
        ]
      }
    },
    "employment_contract.active_contract_updated": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered whenever a new contract becomes active for an employment.",
        "operationId": "employment_contract.active_contract_updated",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "contract_id": "ba310525-9282-40c9-8977-14d844bf891a",
                  "employment_id": "2614f814-b08e-4c8e-8c4d-ddbcc4692d99",
                  "event_type": "employment_contract.active_contract_updated"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "contract_id": {
                    "description": "The unique identifier of the related contract.",
                    "type": "string"
                  },
                  "employment_id": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  }
                },
                "required": [
                  "event_type",
                  "employment_id",
                  "contract_id",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "employment_contract.active_contract_updated",
        "tags": [
          "Employment Contracts"
        ]
      }
    },
    "employment_contract.adjusted_during_onboarding": {
      "post": {
        "deprecated": false,
        "description": "This event is triggered when the contract of an employment is adjusted during onboarding.",
        "operationId": "employment_contract.adjusted_during_onboarding",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "example": {
                  "company_id": "d2091b1e-b1a4-437a-91ea-2809ffbb6d59",
                  "employment_slug": "f2a1b3c4-d5e6-7f8g-9h0i-j1k2l3m4n5o6",
                  "event_type": "employment_contract.adjusted_during_onboarding"
                },
                "properties": {
                  "company_id": {
                    "description": "The unique identifier of the related company.",
                    "type": "string"
                  },
                  "employment_slug": {
                    "description": "The unique identifier of the related employment.",
                    "type": "string"
                  },
                  "event_type": {
                    "description": "The webhook event type identifier.",
                    "type": "string"
                  }
                },
                "required": [
                  "event_type",
                  "employment_slug",
                  "company_id"
                ]
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Any 200 response confirms that the webhook was delivered."
          }
        },
        "security": [],
        "summary": "employment_contract.adjusted_during_onboarding",
        "tags": [
          "Employment Contracts"
        ]
      }
    }
  }
}
```